This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: cgitb: make more usable for \'binary-only\' sw (new patch)
Type: Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, georg.brandl, nobody
Priority: normal Keywords: patch

Created on 2005-02-19 22:23 by georg.brandl, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
py-cgitb.diff georg.brandl, 2005-02-20 07:17 second, corrected, patch
Messages (5)
msg47816 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-02-19 22:23
see patch #751943:

"""
I am abusing cgitb to show a traceback window for a GUI
application in Qt. In such a case, the source code to
the program is not always available. The stack trace is
anyway useful to be submitted to the developers of the
code. I attach a patch that should add some info to the
HTML traceback made by cgitb in case the source file is
not available.
"""

This new patch, however, does not generate a link to
"file://?" if the filename is not known.

At the same time, it stops shadowing file() by renaming
local vars.
msg47817 - (view) Author: Nobody/Anonymous (nobody) Date: 2005-02-20 02:14
Logged In: NO 

!             filename = os.path.abspath(filename) or '?'

Why is the 'or ?' still there?

Also, patches are preferred to be against CVS HEAD, rather
than against a previous patched version.
msg47818 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-02-20 07:17
Logged In: YES 
user_id=1188172

You're right, the 'or ?' must vanish; see attached second patch.

But I did diff against CVS HEAD, didn't I?
msg47819 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-04-02 17:13
Logged In: YES 
user_id=1188172

Deleted first, useless patch.
msg47820 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-06-26 22:00
Logged In: YES 
user_id=1188172

Fixed the link to file://?/. Did not do the renaming of
variables. (Don't touch working code.)
History
Date User Action Args
2022-04-11 14:56:09adminsetgithub: 41604
2005-02-19 22:23:25birkenfeldcreate